After opening the ITunes Web page on Apples site and selecting coverflow the browser crashes [@ QDPlatformUnlockPortBits]

RESOLVED INCOMPLETE

Status

--
critical
RESOLVED INCOMPLETE
11 years ago
2 years ago

People

(Reporter: david.hunt, Unassigned)

Tracking

({crash})

x86
Mac OS X
crash

Details

(crash signature, URL)

Attachments

(1 attachment)

(Reporter)

Description

11 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en; rv:1.8.1.4) Gecko/20070509 Camino/1.5
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en; rv:1.8.1.4) Gecko/20070509 Camino/1.5

After selecting the coverflow option and having the quicktime move run for about 5-10 seconds the browser crahses.

Reproducible: Always

Steps to Reproduce:
1.Open the URL provided
2.Scroll down the pages a liitle way
3.Browser crashes
Actual Results:  
The browser crashes completely

Expected Results:  
Shown the page and let the quicktime animation run.

Date/Time:      2007-06-09 11:05:20.596 +0930
OS Version:     10.4.9 (Build 8P2137)
Report Version: 4

Command: Camino
Path:    /Applications/Camino.app/Contents/MacOS/Camino
Parent:  WindowServer [55]

Version: 1.5 (1.5)

PID:    823
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000032

Thread 0 Crashed:
0   com.apple.QD                   	0x917269a9 QDPlatformUnlockPortBits + 22
1   com.apple.QD                   	0x91726985 UnlockPortBits + 128
2   ...ple.QuickTime Plugin.plugin 	0x9a4874e7 StartDraw + 596
3   ...ple.QuickTime Plugin.plugin 	0x9a49cc80 SharedPluginGetProperty + 118
4   ...ple.QuickTime Plugin.plugin 	0x9a481afd nsQTScriptablePeer::CallPluginMethod(unsigned long, unsigned long, long, ...) + 185
5   ...ple.QuickTime Plugin.plugin 	0x9a482695 nsQTScriptablePeer::GetRate(float*) + 63
6   libxpcom_core.dylib            	0x00b94751 XPTC_InvokeByIndex + 81
7   org.mozilla.camino             	0x00154a0f XPCWrappedNative::CallMethod(XPCCallContext&, XPCWrappedNative::CallMode) + 743
8   org.mozilla.camino             	0x001585e3 XPC_WN_CallMethod(JSContext*, JSObject*, unsigned, long*, long*) + 261
9   libmozjs.dylib                 	0x00ebe906 js_Invoke + 858
10  libmozjs.dylib                 	0x00eb106d js_Interpret + 4624
11  libmozjs.dylib                 	0x00ebf0ad js_Invoke + 2817
12  libmozjs.dylib                 	0x00ebf78d js_InternalInvoke + 146
13  libmozjs.dylib                 	0x00e8413d JS_CallFunctionValue + 62
14  org.mozilla.camino             	0x004be802 nsJSContext::CallEventHandler(JSObject*, JSObject*, unsigned, long*, long*) + 430
15  org.mozilla.camino             	0x004c5783 nsGlobalWindow::RunTimeout(nsTimeout*) + 1475
16  org.mozilla.camino             	0x004c5802 nsGlobalWindow::TimerCallback(nsITimer*, void*) + 32
17  libxpcom_core.dylib            	0x00b815a9 nsTimerImpl::Fire() + 187
18  libxpcom_core.dylib            	0x00b81d7b handleTimerEvent(TimerEventType*) + 107
19  libxpcom_core.dylib            	0x00b7e45d PL_HandleEvent + 21
20  libxpcom_core.dylib            	0x00b7e716 PL_ProcessPendingEvents + 103
21  com.apple.CoreFoundation       	0x9082bf92 CFRunLoopRunSpecific + 1213
22  com.apple.CoreFoundation       	0x9082bace CFRunLoopRunInMode + 61
23  com.apple.HIToolbox            	0x92de78d8 RunCurrentEventLoopInMode + 285
24  com.apple.HIToolbox            	0x92de6fe2 ReceiveNextEventCommon + 385
25  com.apple.HIToolbox            	0x92de6e39 BlockUntilNextEventMatchingListInMode + 81
26  com.apple.AppKit               	0x9328d465 _DPSNextEvent + 572
27  com.apple.AppKit               	0x9328d056 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 137
28  com.apple.AppKit               	0x93286ddb -[NSApplication run] + 512
29  com.apple.AppKit               	0x9327ad2f NSApplicationMain + 573
30  org.mozilla.camino             	0x0000328a start + 258
31  org.mozilla.camino             	0x000031b1 start + 41

Thread 1:
0   libSystem.B.dylib              	0x9000a077 mach_msg_trap + 7
1   com.unsanity.ape               	0xc0001cac __ape_agent + 307
2   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 2:
0   libSystem.B.dylib              	0x9001a56c select + 12
1   libnspr4.dylib                 	0x00d326cf PR_Poll + 134
2   org.mozilla.camino             	0x000bde8b nsSocketTransportService::Poll(unsigned*) + 99
3   org.mozilla.camino             	0x000be4dc nsSocketTransportService::ServiceEventQ() + 606
4   libxpcom_core.dylib            	0x00b80e0d nsThread::Main(void*) + 41
5   libnspr4.dylib                 	0x00d33d12 PR_Select + 813
6   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 3:
0   libSystem.B.dylib              	0x90024c67 semaphore_wait_signal_trap + 7
1   com.apple.Foundation           	0x9284526c -[NSConditionLock lockWhenCondition:] + 39
2   com.apple.AppKit               	0x93364270 -[NSUIHeartBeat _heartBeatThread:] + 377
3   com.apple.Foundation           	0x927ef2e0 forkThreadForFunction + 123
4   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 4:
0   libSystem.B.dylib              	0x9001a56c select + 12
1   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 5:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00d2f390 PR_Lock + 246
2   libnspr4.dylib                 	0x00d2f6e7 PR_WaitCondVar + 75
3   libxpcom_core.dylib            	0x00b83192 TimerThread::Shutdown() + 284
4   libxpcom_core.dylib            	0x00b80e0d nsThread::Main(void*) + 41
5   libnspr4.dylib                 	0x00d33d12 PR_Select + 813
6   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 6:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00d2f390 PR_Lock + 246
2   libnspr4.dylib                 	0x00d2f6e7 PR_WaitCondVar + 75
3   org.mozilla.camino             	0x0067c18a nsSSLThread::Run() + 166
4   libnspr4.dylib                 	0x00d33d12 PR_Select + 813
5   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 7:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00d2f390 PR_Lock + 246
2   libnspr4.dylib                 	0x00d2f6e7 PR_WaitCondVar + 75
3   org.mozilla.camino             	0x00669b2f nsCertVerificationThread::Run() + 249
4   libnspr4.dylib                 	0x00d33d12 PR_Select + 813
5   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 8:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00d2f390 PR_Lock + 246
2   libnspr4.dylib                 	0x00d2f6e7 PR_WaitCondVar + 75
3   org.mozilla.camino             	0x000c66ea nsHostResolver::GetHostToLookup(nsHostRecord**) + 212
4   org.mozilla.camino             	0x000c6e49 nsHostResolver::ThreadFunc(void*) + 123
5   libnspr4.dylib                 	0x00d33d12 PR_Select + 813
6   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 9:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00d2f390 PR_Lock + 246
2   libnspr4.dylib                 	0x00d2f6e7 PR_WaitCondVar + 75
3   org.mozilla.camino             	0x000a7d9d nsIOThreadPool::ThreadFunc(void*) + 145
4   libnspr4.dylib                 	0x00d33d12 PR_Select + 813
5   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 10:
0   libSystem.B.dylib              	0x9000a077 mach_msg_trap + 7
1   com.apple.CoreFoundation       	0x9082c2b3 CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation       	0x9083d188 CFRunLoopRun + 60
3   com.apple.QuickTime            	0x943b6c6e QTSNetworkThread_RunThread + 117
4   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 11:
0   libSystem.B.dylib              	0x9000a077 mach_msg_trap + 7
1   com.apple.CoreFoundation       	0x9082c2b3 CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation       	0x9082bace CFRunLoopRunInMode + 61
3   com.apple.Foundation           	0x92824a0f +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 259
4   com.apple.Foundation           	0x927ef2e0 forkThreadForFunction + 123
5   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 12:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   ...ple.CoreServices.CarbonCore 	0x90cdfdcd TSWaitOnSemaphoreCommon + 163
2   ...ple.CoreServices.CarbonCore 	0x90ce6db1 TimerThread + 87
3   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 13:
0   libSystem.B.dylib              	0x90049257 semaphore_timedwait_signal_trap + 7
1   ...ple.CoreServices.CarbonCore 	0x90cdfdcd TSWaitOnSemaphoreCommon + 163
2   ...ple.CoreServices.CarbonCore 	0x90ceaa0d DeferredTaskThread + 57
3   libSystem.B.dylib              	0x900245c7 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x917269a1  ecx: 0x16b523b0  edx: 0xa170d0d0
  edi: 0x02280778  esi: 0x0000ff00  ebp: 0xbfffe218  esp: 0xbfffe1e0
   ss: 0x0000001f  efl: 0x00010282  eip: 0x917269a9   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

Binary Images Description:
    0x1000 -   0x8e9fff org.mozilla.camino 1.5	/Applications/Camino.app/Contents/MacOS/Camino
  0xb3b000 -   0xb3bfff libxpcom.dylib 	/Applications/Camino.app/Contents/MacOS/libxpcom.dylib
  0xb3f000 -   0xbaffff libxpcom_core.dylib 	/Applications/Camino.app/Contents/MacOS/libxpcom_core.dylib
  0xd05000 -   0xd09fff libplds4.dylib 	/Applications/Camino.app/Contents/MacOS/libplds4.dylib
  0xd0e000 -   0xd13fff libplc4.dylib 	/Applications/Camino.app/Contents/MacOS/libplc4.dylib
  0xd19000 -   0xd3efff libnspr4.dylib 	/Applications/Camino.app/Contents/MacOS/libnspr4.dylib
  0xd4f000 -   0xd68fff libsmime3.dylib 	/Applications/Camino.app/Contents/MacOS/libsmime3.dylib
  0xd74000 -   0xd94fff libssl3.dylib 	/Applications/Camino.app/Contents/MacOS/libssl3.dylib
  0xd9e000 -   0xdf3fff libnss3.dylib 	/Applications/Camino.app/Contents/MacOS/libnss3.dylib
  0xe0f000 -   0xe55fff libsoftokn3.dylib 	/Applications/Camino.app/Contents/MacOS/libsoftokn3.dylib
  0xe64000 -   0xe73fff libxpcom_compat.dylib 	/Applications/Camino.app/Contents/MacOS/libxpcom_compat.dylib
  0xe7f000 -   0xf11fff libmozjs.dylib 	/Applications/Camino.app/Contents/MacOS/libmozjs.dylib
  0xf2c000 -   0xf85fff libfreebl3.dylib 	/Applications/Camino.app/Contents/MacOS/libfreebl3.dylib
  0xfe8000 -   0xfe9fff com.Logitech.Control Center.Scroll Enhancer 2.1.4	/Library/Application Enhancers/LCC Scroll Enhancer.ape/Contents/MacOS/LCC Scroll Enhancer
 0x1a56000 -  0x1ac7fff com.DivXInc.DivXDecoder 6.4.0	/Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
 0x1bf9000 -  0x1c49fff com.DivXInc.DivXDecoder 6.0.5	/Library/QuickTime/DivX 6 Decoder.component/Contents/MacOS/DivX 6 Decoder
 0x1ef6000 -  0x1ef8fff com.apple.AutomatorCMM 1.0.1 (87)	/System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
 0x1f07000 -  0x1f07fff com.apple.SpotLightCM 1.0 (121.36)	/System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
 0x1f17000 -  0x1f1bfff com.apple.FolderActionsMenu 1.3.1	/System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
0x16afb000 - 0x16afcfff com.apple.textencoding.unicode 2.1	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
0x17271000 - 0x1727bfff libspellchecker.dylib 	/Applications/Camino.app/Contents/MacOS/components/libspellchecker.dylib
0x17280000 - 0x17281fff libmyspell.dylib 	/Applications/Camino.app/Contents/MacOS/components/libmyspell.dylib
0x172e8000 - 0x172ebfff com.apple.iokit.IOQTComponents 1.4	/System/Library/Components/IOQTComponents.component/Contents/MacOS/IOQTComponents
0x172f6000 - 0x172fcfff com.roxio.ToastItPlugin ToastIt 1.1.2 (build 17) (1.1.2)	/Users/David/Library/Contextual Menu Items/ToastIt.plugin/Contents/MacOS/ToastIt
0x17346000 - 0x17382fff com.apple.QuickTimeFireWireDV.component 7.1.6	/System/Library/QuickTime/QuickTimeFireWireDV.component/Contents/MacOS/QuickTimeFireWireDV
0x173a6000 - 0x173bffff com.apple.AppleIntermediateCodec 1.1 (141)	/Library/QuickTime/AppleIntermediateCodec.component/Contents/MacOS/AppleIntermediateCodec
0x173da000 - 0x173f3fff com.apple.applepixletvideo 1.2.9 (1.2d9)	/System/Library/QuickTime/ApplePixletVideo.component/Contents/MacOS/ApplePixletVideo
0x173f7000 - 0x17402fff com.apple.ATIRadeonX1000GA 1.4.52 (4.5.2)	/System/Library/Extensions/ATIRadeonX1000GA.plugin/Contents/MacOS/ATIRadeonX1000GA
0x17412000 - 0x17440fff libnssckbi.dylib 	/Applications/Camino.app/Contents/MacOS/libnssckbi.dylib
0x17d05000 - 0x17efbfff net.telestream.wmv.import 2.1.1.70	/Library/QuickTime/Flip4Mac WMV Import.component/Contents/MacOS/Flip4Mac WMV Import
0x17f2c000 - 0x180ddfff net.telestream.wmv.advanced 2.1.1.70	/Library/QuickTime/Flip4Mac WMV Advanced.component/Contents/MacOS/Flip4Mac WMV Advanced
0x30000000 - 0x30002fff SharedMenusCocoa SharedMenusCocoa version 0.3 (0.0.3)	/Applications/Camino.app/Contents/Frameworks/SharedMenusCocoa.framework/Versions/A/SharedMenusCocoa
0x8fe00000 - 0x8fe4afff dyld 46.12	/usr/lib/dyld
0x90000000 - 0x90170fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901c0000 - 0x901c2fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x901c4000 - 0x90201fff com.apple.CoreText 1.1.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90228000 - 0x902fefff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031e000 - 0x90773fff com.apple.CoreGraphics 1.258.75 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9080a000 - 0x908d2fff com.apple.CoreFoundation 6.4.7 (368.28)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90910000 - 0x90910fff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90912000 - 0x90a05fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a55000 - 0x90ad4fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90afd000 - 0x90b61fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x90bd0000 - 0x90bd7fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x90bdc000 - 0x90c4ffff com.apple.framework.IOKit 1.4.6 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c64000 - 0x90c76fff libauto.dylib 	/usr/lib/libauto.dylib
0x90c7c000 - 0x90f22fff com.apple.CoreServices.CarbonCore 682.23	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f65000 - 0x90fcdfff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91006000 - 0x91044fff com.apple.CFNetwork 129.20	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x91057000 - 0x91067fff com.apple.WebServices 1.1.3 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91072000 - 0x910f1fff com.apple.SearchKit 1.0.5	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9112b000 - 0x91149fff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91155000 - 0x91163fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91166000 - 0x91305fff com.apple.security 4.5.2 (29774)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91403000 - 0x9140bfff com.apple.DiskArbitration 2.1.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91412000 - 0x91419fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x9141d000 - 0x91443fff com.apple.SystemConfiguration 1.8.6	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91455000 - 0x914cbfff com.apple.audio.CoreAudio 3.0.4	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151c000 - 0x9151cfff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x9151e000 - 0x9154afff com.apple.AE 314 (313)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9155d000 - 0x91631fff com.apple.ColorSync 4.4.9	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166c000 - 0x916dffff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9170d000 - 0x917b6fff com.apple.QD 3.10.24 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917dc000 - 0x91827fff com.apple.HIServices 1.5.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91846000 - 0x9185cfff com.apple.LangAnalysis 1.6.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91868000 - 0x91883fff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x9188e000 - 0x918cbfff com.apple.LaunchServices 182	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918df000 - 0x918ebfff com.apple.speech.synthesis.framework 3.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918f2000 - 0x91931fff com.apple.ImageIO.framework 1.5.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91944000 - 0x919f6fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91a3c000 - 0x91a52fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91a57000 - 0x91a75fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a7a000 - 0x91ad9fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91aeb000 - 0x91aeffff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91af1000 - 0x91b75fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b79000 - 0x91bb6fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bbc000 - 0x91bd6fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91bdb000 - 0x91bddfff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bdf000 - 0x91cbdfff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x91cda000 - 0x91cdafff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91cdc000 - 0x91d6afff com.apple.vImage 2.5	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d71000 - 0x91d71fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d73000 - 0x91dccfff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91dd5000 - 0x91df9fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e01000 - 0x9220afff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92244000 - 0x925f8fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92625000 - 0x92712fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92714000 - 0x92791fff com.apple.DesktopServices 1.3.6	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927d2000 - 0x92a02fff com.apple.Foundation 6.4.8 (567.29)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b1c000 - 0x92b33fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b3e000 - 0x92b96fff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92baa000 - 0x92baafff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bac000 - 0x92bbcfff com.apple.ImageCapture 3.0.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bcb000 - 0x92bd3fff com.apple.speech.recognition.framework 3.6	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92bd9000 - 0x92bdffff com.apple.securityhi 2.0.1 (24742)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92be5000 - 0x92c76fff com.apple.ink.framework 101.2.1 (71)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c8a000 - 0x92c8efff com.apple.help 1.0.3 (32.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c91000 - 0x92caffff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cc1000 - 0x92cc7fff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92ccd000 - 0x92d30fff com.apple.htmlrendering 66.1 (1.1.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d57000 - 0x92d98fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dbf000 - 0x92dcdfff com.apple.audio.SoundManager 3.9.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dd4000 - 0x92dd9fff com.apple.CommonPanels 1.2.3 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92dde000 - 0x930d3fff com.apple.HIToolbox 1.4.9 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931d9000 - 0x931e4fff com.apple.opengl 1.4.16	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x931e9000 - 0x93204fff com.apple.DirectoryService.Framework 3.2	/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93274000 - 0x93274fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93276000 - 0x9392cfff com.apple.AppKit 6.4.8 (824.42)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93cad000 - 0x93d28fff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d61000 - 0x93e1bfff com.apple.audio.toolbox.AudioToolbox 1.4.5	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e5e000 - 0x93e5efff com.apple.audio.units.AudioUnit 1.4.2	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e60000 - 0x94021fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x94067000 - 0x940a8fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x940b0000 - 0x940eafff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940ef000 - 0x94105fff com.apple.CoreVideo 1.4	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x941fe000 - 0x94211fff com.apple.frameworks.preferencepanes 11.1	/System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
0x9421f000 - 0x94230fff com.apple.securityfoundation 2.2.1 (28150)	/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9423e000 - 0x9427cfff com.apple.securityinterface 2.2.1 (27695)	/System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x94298000 - 0x942a7fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x942ae000 - 0x942b9fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94305000 - 0x9431ffff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x94325000 - 0x94624fff com.apple.QuickTime 7.1.6	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x947a6000 - 0x948ecfff com.apple.AddressBook.framework 4.0.4 (485.1)	/System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x94978000 - 0x94987fff com.apple.DSObjCWrappers.Framework 1.1	/System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x9498e000 - 0x949b7fff com.apple.LDAPFramework 1.4.2 (69.1.1)	/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x949bd000 - 0x949ccfff libsasl2.2.dylib 	/usr/lib/libsasl2.2.dylib
0x949d0000 - 0x949f5fff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x94a01000 - 0x94a1efff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x96ab0000 - 0x96ab0fff com.apple.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9711f000 - 0x97124fff com.apple.agl 2.5.9 (AGL-2.5.9)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x98b8d000 - 0x99862fff com.apple.QuickTimeComponents.component 7.1.6	/System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x99aae000 - 0x99ab0fff com.apple.QuickTimeH264.component 7.1.6	/System/Library/QuickTime/QuickTimeH264.component/Contents/MacOS/QuickTimeH264
0x99ab2000 - 0x99c5afff QuickTimeH264.scalar 	/System/Library/QuickTime/QuickTimeH264.component/Contents/Resources/QuickTimeH264.scalar
0x99cca000 - 0x99d8dfff com.apple.QuickTimeMPEG4.component 7.1.6	/System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x99da8000 - 0x99f14fff com.apple.QuickTimeStreaming.component 7.1.6	/System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x9a479000 - 0x9a4a1fff com.apple.QuickTime Plugin.plugin 7.1.6	/Library/Internet Plug-Ins/QuickTime Plugin.plugin/Contents/MacOS/QuickTime Plugin
0xc0000000 - 0xc000efff com.unsanity.ape 2.0.2	/Library/Frameworks/ApplicationEnhancer.framework/Versions/A/ApplicationEnhancer

Model: MacBookPro2,1, BootROM MBP21.00A5.B01, 2 processors, Intel Core 2 Duo, 2.33 GHz, 2 GB
Graphics: ATI Radeon X1600, ATY,RadeonX1600, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 1 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: AirPort Extreme, 1.0.47
Bluetooth: Version 1.7.14f14, 2 service, 1 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS541616J9SA00, 149.05 GB
Parallel ATA Device: MATSHITADVD-R   UJ-85J
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Hub, Up to 480 Mb/sec, 500 mA
USB Device: Logitech USB Keyboard, Logitech, Up to 1.5 Mb/sec, 500 mA
USB Device: Hub, Up to 480 Mb/sec, 500 mA
USB Device: iPod, Apple, Up to 480 Mb/sec, 500 mA
USB Device: Flash Card Reader, Generic, Up to 480 Mb/sec, 500 mA
USB Device: USB Receiver, Logitech, Up to 1.5 Mb/sec, 500 mA
USB Device: Bluetooth HCI, Up to 12 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA

Comment 1

11 years ago
It's crashing in drawing code inside the plugin, so unless we are passing it a bad context it's probably not something we can do anything about.

Could you test this in both Firefox and Safari, and see what happens there (this WFM, so I can't test it myself).
In the future, please attach crash logs using the "Add an Attachment" link rather than pasting them in comments.

Also, try disabling APE and see if the crash persists.
Keywords: crash
(Reporter)

Comment 3

11 years ago
Testing with Safari - no crash, but noted that the quicktime video doesn't complete playing at about the point that Camino 1.5 and Firefox 2.0.0.2 crash.
(Reporter)

Comment 4

11 years ago
Sorry, what is APE and where do I disable it?

Comment 5

11 years ago
For a description of APE, see here: http://unsanity.com/haxies/ape and there: http://www.unsanity.com/support.php?vf=15 to disable it.

Tried with Camino 1.5, video stops when showing "Black Eyed Peas" album but does not crash, even after forcing page reloads.
(Reporter)

Comment 6

11 years ago
Confirmed that I do not have APE installed - never had it.
Still crashing in ITunes as defined, but Safari doesn't crash in the same page.

Comment 7

11 years ago
(In reply to comment #6)
> Confirmed that I do not have APE installed - never had it.
> Still crashing in ITunes as defined, but Safari doesn't crash in the same page.

From your very own crash log:

0xc0000000 - 0xc000efff com.unsanity.ape 2.0.2 
/Library/Frameworks/ApplicationEnhancer.framework/Versions/A/ApplicationEnhancer

That suggests otherwise, David. I don't doubt you may not have known about it, but *something* has undoubtedly installed it on your system.

cl

Comment 8

11 years ago
David, can you please respond to comment 5?
Whiteboard: [CLOSEME 07/03]
(Reporter)

Comment 9

11 years ago
Created attachment 270401 [details]
Crash Dump 30 June 2007 after APE uninstalled
(Reporter)

Comment 10

11 years ago
Hi there

I have removed APE, and confirmed that there are no daemons running.
Cleared Camino cache and reset it, and tested to the link that previously crashed, adn it still does.
I have attached the new output from the Camino crash dump.

Comment 11

11 years ago
OK, this one is definitely crashing in QuickTime (same as before, we just know that APE isn't in any way related here). Makes me wonder if your QuickTime install is corrupted, or maybe just out of date, a theory supported by the fact that Firefox also crashes and Safari stops playing the video. INVALID.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 11 years ago
Resolution: --- → INVALID

Comment 12

11 years ago
Signature	QDPlatformUnlockPortBits
UUID	9d07803d-fc8a-11dc-8a1a-001a4bd43ef6
Time	2008-03-27 22:47:11-07:00
Uptime	54159
Product	Firefox
Version	3.0b5pre
Build ID	2008032604
OS	Mac OS X
OS Version	10.5.2 9C7010
CPU	x86
CPU Info	GenuineIntel family 6 model 14 stepping 8
Crash Reason	EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE
Crash Address	0x94c8731a
Comments	scrolling around in the list of extensions that Minefield 3.0pre updater said it was going to disable, using the scrollwheel on my mouse.
Crashing Thread
Frame 	Signature 	Source
0 	QDPlatformUnlockPortBits 	
1 	UnlockPortBits 	
2 	QuickTime Plugin@0x140dd 	
3 	QuickTime Plugin@0x15c1a 	
4 	internalDoAction 	
5 	_MCSetVisible 	
6 	_MCComponentDispatch 	
7 	CallComponentDispatch 	
8 	MCSetVisible 	
9 	QuickTime Plugin@0x1e499 	
10 	QuickTime Plugin@0x1e6be 	
11 	QuickTime Plugin@0x112e2 	
12 	ns4xPluginInstance::Stop() 	mozilla/modules/plugin/base/src/ns4xPluginInstance.cpp:955
13 	DoStopPlugin(nsPluginInstanceOwner*, int) 	mozilla/layout/generic/nsObjectFrame.cpp:1763
14 	nsStopPluginRunnable::Run() 	mozilla/layout/generic/nsObjectFrame.cpp:1828
15 	nsTimerImpl::Fire() 	mozilla/xpcom/threads/nsTimerImpl.cpp:403
16 	nsTimerEvent::Run() 	mozilla/xpcom/threads/nsTimerImpl.cpp:490
17 	nsThread::ProcessNextEvent(int, int*) 	mozilla/xpcom/threads/nsThread.cpp:510
18 	NS_ProcessNextEvent_P(nsIThread*, int) 	nsThreadUtils.cpp:227
19 	nsXULWindow::ShowModal() 	mozilla/xpfe/appshell/src/nsXULWindow.cpp:398
20 	nsWindowWatcher::OpenWindowJSInternal(nsIDOMWindow*, char const*, char const*, char const*, int, nsIArray*, int, nsIDOMWindow**) 	mozilla/embedding/components/windowwatcher/src/nsWindowWatcher.cpp:949
21 	nsWindowWatcher::OpenWindowJS(nsIDOMWindow*, char const*, char const*, char const*, int, nsIArray*, nsIDOMWindow**) 	mozilla/embedding/components/windowwatcher/src/nsWindowWatcher.cpp:484
22 	nsGlobalWindow::OpenInternal(nsAString_internal const&, nsAString_internal const&, nsAString_internal const&, int, int, int, int, nsIArray*, nsISupports*, nsIPrincipal*, JSContext*, nsIDOMWindow**) 	mozilla/dom/src/base/nsGlobalWindow.cpp:7233
23 	nsGlobalWindow::OpenDialog(nsIDOMWindow**) 	mozilla/dom/src/base/nsGlobalWindow.cpp:5067
24 	NS_InvokeByIndex_P 	mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_unixish_x86.cpp:179
25 	XPCWrappedNative::CallMethod(XPCCallContext&, XPCWrappedNative::CallMode) 	mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2369
26 	XPC_WN_CallMethod(JSContext*, JSObject*, unsigned int, long*, long*) 	mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1470
27 	js_Invoke 	mozilla/js/src/jsinvoke.c:1287
28 	js_Interpret 	mozilla/js/src/jsinterp.c:4841
29 	js_Invoke 	mozilla/js/src/jsinvoke.c:1303
30 	js_InternalInvoke 	mozilla/js/src/jsinvoke.c:1359
31 	JS_CallFunctionValue 	mozilla/js/src/jsapi.c:5036
32 	nsJSContext::CallEventHandler(nsISupports*, void*, void*, nsIArray*, nsIVariant**) 	mozilla/dom/src/base/nsJSEnvironment.cpp:1962
33 	nsJSEventListener::HandleEvent(nsIDOMEvent*) 	mozilla/dom/src/events/nsJSEventListener.cpp:248
34 	nsEventListenerManager::HandleEventSubType(nsListenerStruct*, nsIDOMEventListener*, nsIDOMEvent*, nsISupports*, unsigned int) 	mozilla/content/events/src/nsEventListenerManager.cpp:1080
35 	nsEventListenerManager::HandleEvent(nsPresContext*, nsEvent*, nsIDOMEvent**, nsISupports*, unsigned int, nsEventStatus*) 	mozilla/content/events/src/nsEventListenerManager.cpp:1184
36 	nsEventTargetChainItem::HandleEvent(nsEventChainPostVisitor&, unsigned int) 	mozilla/content/events/src/nsEventDispatcher.cpp:206
37 	nsEventTargetChainItem::HandleEventTargetChain(nsEventChainPostVisitor&, unsigned int, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:264
38 	nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:479
39 	PresShell::HandleDOMEventWithTarget(nsIContent*, nsEvent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5991
40 	nsButtonBoxFrame::DoMouseClick(nsGUIEvent*, int) 	mozilla/layout/xul/base/src/nsButtonBoxFrame.cpp:160
41 	nsButtonBoxFrame::HandleEvent(nsPresContext*, nsGUIEvent*, nsEventStatus*) 	mozilla/layout/xul/base/src/nsButtonBoxFrame.cpp:130
42 	nsPresShellEventCB::HandleEvent(nsEventChainPostVisitor&) 	mozilla/gfx/cairo/cairo/src/cairo-hull.c:1247
43 	nsEventTargetChainItem::HandleEventTargetChain(nsEventChainPostVisitor&, unsigned int, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:309
44 	nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:479
45 	PresShell::HandleEventInternal(nsEvent*, nsIView*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5945
46 	PresShell::HandleEventWithTarget(nsEvent*, nsIFrame*, nsIContent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5850
47 	nsEventStateManager::CheckForAndDispatchClick(nsPresContext*, nsMouseEvent*, nsEventStatus*) 	mozilla/content/events/src/nsEventStateManager.cpp:3320
48 	nsEventStateManager::PostHandleEvent(nsPresContext*, nsEvent*, nsIFrame*, nsEventStatus*, nsIView*) 	mozilla/content/events/src/nsEventStateManager.cpp:2416
49 	PresShell::HandleEventInternal(nsEvent*, nsIView*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5966
50 	PresShell::HandlePositionedEvent(nsIView*, nsIFrame*, nsGUIEvent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5833
51 	PresShell::HandleEvent(nsIView*, nsGUIEvent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5693
52 	nsViewManager::HandleEvent(nsView*, nsPoint, nsGUIEvent*, int) 	mozilla/view/src/nsViewManager.cpp:1388
53 	nsViewManager::DispatchEvent(nsGUIEvent*, nsEventStatus*) 	mozilla/view/src/nsViewManager.cpp:1343
54 	HandleEvent(nsGUIEvent*) 	mozilla/view/src/nsView.cpp:168
55 	nsChildView::DispatchEvent(nsGUIEvent*, nsEventStatus&) 	mozilla/widget/src/cocoa/nsChildView.mm:1554
56 	nsChildView::DispatchWindowEvent(nsGUIEvent&) 	mozilla/widget/src/cocoa/nsChildView.mm:1567
57 	nsChildView::DispatchMouseEvent(nsMouseEvent&) 	mozilla/widget/src/cocoa/nsChildView.mm:1579
58 	-[ChildView mouseUp:] 	mozilla/widget/src/cocoa/nsChildView.mm:2886
59 	-[NSWindow sendEvent:] 	
60 	-[NSWindow(MethodSwizzling) nsCocoaWindow_NSWindow_sendEvent:] 	mozilla/widget/src/cocoa/nsCocoaWindow.mm:2115
61 	-[ToolbarWindow sendEvent:] 	mozilla/widget/src/cocoa/nsCocoaWindow.mm:1791
62 	-[NSApplication sendEvent:] 	
63 	-[NSApplication run] 	
64 	nsAppShell::Run() 	mozilla/widget/src/cocoa/nsAppShell.mm:595
65 	nsAppStartup::Run() 	mozilla/toolkit/components/startup/src/nsAppStartup.cpp:181
66 	XRE_main 	mozilla/toolkit/xre/nsAppRunner.cpp:3154
67 	main 	mozilla/browser/app/nsBrowserApp.cpp:158
68 	start 	crt.c:272
69 	start 	
70 	@0x1 	
Status: RESOLVED → UNCONFIRMED
Component: General → Plug-ins
Product: Camino → Core
Hardware: Macintosh → PC
Resolution: INVALID → ---
Summary: After opening the ITunes Web page on Apples site and selecting coverflow the browser crashes → After opening the ITunes Web page on Apples site and selecting coverflow the browser crashes [@ QDPlatformUnlockPortBits]
Whiteboard: [CLOSEME 07/03]
Version: unspecified → Trunk

Updated

11 years ago
QA Contact: general → plugins

Comment 13

9 years ago
do you still see this problem using most recent version of firefox (3.5, 3.6 or trunk build) and latest version of plugin software?
Whiteboard: [closeme 2010-04-21]

Updated

8 years ago
Component: Plug-ins → QuickTime (Apple)
Product: Core → Plugins
QA Contact: plugins → apple-quicktime
Whiteboard: [closeme 2010-04-21]
Version: Trunk → 9.x
(Assignee)

Updated

7 years ago
Crash Signature: [@ QDPlatformUnlockPortBits]

Comment 14

2 years ago
Closing old bugs in the Plugins component. We aren't going to track issues in 3rd-party plugins in the Mozilla bug tracker. In addition, support for NPAPI plugins will be removed at the end of this year; for more details see the post at https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

If there is a serious bug in Firefox, it needs to be filed in the "Core" product, "Plug-Ins" component.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 11 years ago2 years ago
Resolution: --- → INCOMPLETE
(Assignee)

Updated

2 years ago
Product: Plugins → Plugins Graveyard
You need to log in before you can comment on or make changes to this bug.